﻿@model EditRolePermissionsViewModel
@{
    ViewBag.Title = "ویرایش دسترسی ها برای نقش " + Model.Role.Name;
}

@using (Html.BeginForm("EditRolePermissions", "Role", FormMethod.Post))
{
    <input type="hidden" name="Id" value="@Model.Id"/>
    <div class="row">
        @foreach (var item in Model.Controllers)
        {
            <div class="col-md-4">
                <div class="accordion" id="accordion-@item.Name">
                    <div class="card">
                        <div class="card-header" id="heading-@item.Name">
                            <div class="checkbox checkbox-primary float-left">
                                <input id="checkAll-@item.Name" @(item.IsAllActionsInPermission ? " checked" : "") name="checkAll-@item.Name" type="checkbox">
                                <label for="checkAll-@item.Name">
                                    @if (item.IconClass.HasValue())
                                    {
                                        <i class="@item.IconClass ml-2 mr-2"></i>
                                    }
                                    @(item.Display.HasValue() ? item.Display : item.Name.Replace("Controller", ""))
                                </label>
                            </div>
                            <button class="btn btn-secondary float-right" data-toggle="collapse" data-target="#collapse-@item.Name" aria-expanded="false" aria-controls="collapse-@item.Name">
                                <i class="fa fa-plus-circle"></i>
                            </button>
                        </div>
                        <div id="collapse-@item.Name" class="collapse" aria-labelledby="heading-@item.Name" data-parent="#accordion-@item.Name">
                            <div class="card-body">
                                <div class="table">
                                    <table class="table-responsive table-striped">
                                        <thead>
                                            <tr>
                                                <th>انتخاب عملیات</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach (var action in item.Actions)
                                            {
                                                <tr>
                                                    <td>
                                                        <div class="checkbox checkbox-primary">
                                                            <input @(action.IsInPermission ? " checked" : "") id="@item.Name-@action.Name" name="@item.Name-@action.Name" type="checkbox">
                                                            <label for="@item.Name-@action.Name">
                                                                @action.Name
                                                            </label>
                                                        </div>
                                                    </td>
                                                </tr>
                                            }
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        }
        <div class="col-md-12">
            <input type="submit" value="ثبت و دخیره تغییرات" class="btn btn-primary btn-lg"/>
        </div>
    </div>
}

@section scripts{
    <script>
        $('input[type="checkbox"]').on('click', function (e) {
            if ($(this).is(':checked')) {
                $(this).prop('checked', true);
                $(this).attr('checked', 'checked');
            }
            else {
                $(this).prop('checked', false);
                $(this).removeAttr('checked');
            }
        });
        $("[id*='checkAll-']").on('click', function (element) {
            var name = $(this).attr('id').replace('checkAll-', '');
            if ($(this).is(':checked')) {
                $('#collapse-' + name + ' input[type="checkbox"]').each(function (checkBoxElement) {
                    $(this).prop('checked', true);
                    $(this).attr('checked', 'checked');
                });
            } else {
                $('#collapse-' + name + ' input[type="checkbox"]').each(function (i, checkBoxElement) {
                    $(this).prop('checked', false);
                    $(this).removeAttr('checked');
                });
            }
        });
    </script>
}